{
  "cells": [
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "7WkjuZNVmW4n"
      },
      "source": [
        "# Aula 02 - Estruturas Lógicas\n",
        "## **Avançando na Lógica: Estruturas condicionais e de repetição**"
      ]
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "7oLa0x1amTpx"
      },
      "source": [
        "## 1.Estruturas Condicionais\n",
        "\n",
        "### 1.1 O que são estruturas condicionais ?\n",
        "\n",
        "\n",
        "Nos nossos problemas muitas vezes podemos dividir as questões\n",
        "em “sim” ou “não”, mas isso pode gerar cadeias grandes de maneira\n",
        "desnecessária. E mesmo assim, nem sempre isso dará conta para\n",
        "resolução dos nossos problemas. Para problemas mais complexos\n",
        "utilizamos o “se” (if) e o “senão” (else). Essas duas palavras são o\n",
        "que chamamos de condicionais, usamos ela quando queremos\n",
        "colocar uma condição para tal coisa acontecer.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "PZBMCUgslFzC"
      },
      "source": [
        "## 1.2 A estrutura condicional `if`\n",
        "\n",
        "O if é uma estrutura de condição que permite avaliar uma expressão e, de acordo com seu resultado, executar uma determinada ação.\n",
        "\n",
        "No código a seguir temos um exemplo de uso do if no qual verificamos se a a previsão é de chuva ou não, caso seja afirmativo, o programa imprime na tela a mensagem \"Levo galocha\"."
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "H63C4Zw9erXs"
      },
      "outputs": [],
      "source": [
        "# Exemplo de estrutura condicional\n",
        "previsao = \"chuva\"\n",
        "\n",
        "if previsao == \"chuva\":\n",
        "    print(\"Levo galocha\")"
      ]
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "2fA0lEdjlvai"
      },
      "source": [
        "## 1.2 A estrutura condicional `if-else`\n",
        "\n",
        "A estrutura \"if\" do exemplo anterior executou uma ação em caso de uma condição ser atendida, mas não supre para caso a ação não seja satisfeita. Nesse caso, podemos utilizar a condicional `else`"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": 3,
      "metadata": {
        "colab": {
          "base_uri": "https://localhost:8080/"
        },
        "id": "s2Vr3We0lBM7",
        "outputId": "4ad95c2e-d136-490b-bc11-14e01e379fb3"
      },
      "outputs": [
        {
          "name": "stdout",
          "output_type": "stream",
          "text": [
            "Levo Tênis\n"
          ]
        }
      ],
      "source": [
        "previsao = \"chuva\"\n",
        "\n",
        "if previsao == \"chuva\":\n",
        "    print(\"Levo galocha\")\n",
        "else:\n",
        "    print(\"Levo Tênis\")"
      ]
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "VJn9unI1e1sC"
      },
      "source": [
        "## 2. Condicionais Encadeadas\n",
        "\n",
        "Podemos ter múltiplas condições usando `elif` (else if) para criar cadeias de decisões mais complexas."
      ]
    },
    {
      "cell_type": "code",
      "execution_count": 4,
      "metadata": {
        "colab": {
          "base_uri": "https://localhost:8080/"
        },
        "id": "K9GNrtIvfCUZ",
        "outputId": "289fdd0a-58e9-4117-d946-5984d1e94f34"
      },
      "outputs": [
        {
          "name": "stdout",
          "output_type": "stream",
          "text": [
            "Carne assada\n"
          ]
        }
      ],
      "source": [
        "# Exemplo de condicional encadeada\n",
        "dia = \"terça\"\n",
        "\n",
        "if dia == \"segunda\":\n",
        "    print(\"Virado à paulista\")\n",
        "elif dia == \"terça\":\n",
        "    print(\"Carne assada\")\n",
        "elif dia == \"quarta\":\n",
        "    print(\"Feijoada\")\n",
        "elif dia == \"quinta\":\n",
        "    print(\"Lasanha à bolonhesa\")\n",
        "else:\n",
        "    print(\"Verificar cardápio\")"
      ]
    }
  ],
  "metadata": {
    "colab": {
      "provenance": []
    },
    "kernelspec": {
      "display_name": "Python 3",
      "name": "python3"
    },
    "language_info": {
      "name": "python"
    }
  },
  "nbformat": 4,
  "nbformat_minor": 0
}
